Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 100479 - Dragging link over Personal Toolbar folder should not be restricted to two levels
: Dragging link over Personal Toolbar folder should not be restricted to two le...
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: P5 normal with 6 votes (vote)
: ---
Assigned To: Pierre Chanial
: Claudius Gayle
: 18052 114638 153594 (view as bug list)
Depends on: 139471
Blocks: 133604
  Show dependency treegraph
Reported: 2001-09-19 00:07 PDT by Peter Lairo
Modified: 2004-11-22 17:25 PST (History)
20 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Peter Lairo 2001-09-19 00:07:20 PDT
Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.4+) Gecko/20010918

Dragging URL or "grippy" over Personal Toolbar or sidebar bookmarks folder
(including subfolders) should open folders
Comment 1 Peter Lairo 2001-09-19 00:09:17 PDT
This should have been fixed in bug 53707, but since we're being VERY precise
about only fixing what was asked for ... here is another bug. ;)
Comment 2 Tim Powell 2001-09-19 08:37:28 PDT
Yeah, confirmed. Not opening subfolders is a problem. Folders on the PT should 
behave the same as the Bookmarks folder. They should open and allow you to 
place the dragged bookmark. 4xp. All/All.
Comment 3 Jesse Ruderman 2001-09-24 16:16:47 PDT
The sidebar is a different case, because opening a menu and expanding a tree 
are very different things.  Also, there should be a delay for the tree, but not 
for the menu.  I've split the sidebar case off to bug 101446.

I think it's implicit that dragging the proxy icon should act like dragging a 
link, so I'm removing that from the summary.
Comment 4 Ben Goodger (use ben at mozilla dot org for email) 2001-10-19 17:38:00 PDT
Paul Chen is now taking Bookmarks bugs. For your convenience, you can filter 
email notifications caused by this by searching for 'ilikegoats'.

Comment 5 Paul Chen 2001-10-23 09:54:28 PDT
Mass move Ben's bugs dumped on me marked future with p5 to get off my untriaged
radar. You can filter out this email by looking for "ironstomachaussie"
Comment 6 Paul Chen 2001-10-31 17:52:12 PST
*** Bug 18052 has been marked as a duplicate of this bug. ***
Comment 7 Dean Tessman 2001-12-11 09:10:15 PST
*** Bug 114638 has been marked as a duplicate of this bug. ***
Comment 8 Peter Lairo 2001-12-11 09:26:06 PST
Adding Dean Tessman since he fixed bug 30861 and might be interested in helping

Personally, I think this bug is only marginally less important than bug 30861
(Pri=P3, TM=0.9.7) because once you've created a few (1-3) folders in the
personal toolbar, it becomes an (ever growing) primary location for frequently
used bookmarks ;)
Comment 9 C. Hodsdon 2001-12-12 17:14:15 PST
Also, since the Personal Toolbar can be closed, the Bookmark menu item should
also open when a link is dragged over it.

Probably should be a separate bug.  
Comment 10 C. Hodsdon 2001-12-12 17:35:33 PST
Created bug 114962.  See my comments above.
Comment 11 Peter Trudelle 2002-01-05 15:42:42 PST
mass reassign of pchen bookmark bugs to ben
Comment 12 [not reading bugmail] 2002-01-21 22:21:05 PST
Draging a URL to the bookmarks folder on the personal toolbar does expand on w2k
with build 2002-1-20
Comment 13 Brian Rogers 2002-01-21 22:58:42 PST
I think this bug is about folders on the personal toolbar other than the
'bookmarks' folder.  They don't open.
Comment 14 Jesse Ruderman 2002-01-27 01:21:44 PST
See also bug 118141, should be able to drag bookmarks *from* personal toolbar 
Comment 15 basic 2002-03-21 10:56:05 PST
remove self
Comment 16 Peter Henderson 2002-04-03 16:23:26 PST
Build 2002-04-03-03 WinMe
I made a new subfolder and tried to drop a proxy icon in it; the submenu with
Empty appeared but I couldn't drop the bookmark there. Then in Bookmark Manager
I moved the bookmark that got created above the subfolder into the subfolder.
Then I tried to drag another proxy icon into the subfolder and it did not open.
But menus right under "Personal Toolbar Folder" (i.e. represented as top-level
menus on the toolbar) do open fine for me. They do not close automatically,
however... (another bug)
Comment 17 Ian Pottinger 2002-04-03 22:21:38 PST
adding self to cc list
Comment 18 Pierre Chanial 2002-04-23 06:12:47 PDT
Comment 19 Pierre Chanial 2002-05-30 17:07:42 PDT
fixed by the checkin of bug 139471
(windows and mac only)
Comment 20 Pierre Chanial 2002-06-27 08:22:55 PDT
*** Bug 153594 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.